Bug 527122 - Dell Inspiron E1505: Backlight Controls Works with Gnome but not KDE4
Dell Inspiron E1505: Backlight Controls Works with Gnome but not KDE4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-04 14:01 EDT by Calvin Mitchell
Modified: 2010-06-28 10:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:55:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Calvin Mitchell 2009-10-04 14:01:24 EDT
Description of problem: 
Dell Inspiron E1505
Fedora 11
Gnome 2.26.3
KDE 4.3.1-1
Fn+Up/Down work with GDM 2.26.1-13/Gnome 2.26.3 but not KDE 4.3.1-1


Version-Release number of selected component (if applicable):


How reproducible:
Every Time

Steps to Reproduce:
1. load GDM or Gnome
2. Press Fn+Up/Down
3. Backlight progress indicator appears.
4. Backgliht intensity is adjusted
5. Load KDE 4.3.1-1
6. Press Fn+Up/Down
7. no backlight progress indicator.
8. no change to backlight

Actual results:
no backlight progress indicator.
no change to backlight

Expected results:
Backlight progress indicator appears.
Backgliht intensity is adjusted

Additional info:
Comment 1 Matěj Cepl 2009-10-05 18:09:49 EDT
Looks to me like there is something missing in KDE.
Comment 2 Steven M. Parrish 2009-10-05 19:21:58 EDT
There are a multitude of upstream bugs filed in regards to laptop keys for brightness & multimedia not working.  I would suggest browsing http://bugs.kde.org to find one matching your hardware and commenting to it or if one does not exist create one.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Calvin Mitchell 2009-10-06 12:48:43 EDT
(In reply to comment #2)
> There are a multitude of upstream bugs filed in regards to laptop keys for
> brightness & multimedia not working.  I would suggest browsing
> http://bugs.kde.org to find one matching your hardware and commenting to it or
> if one does not exist create one.
> 
> -- 
> Steven M. Parrish - KDE Triage Master
>                   - PackageKit Triager
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers  

With all due respect, i beg to differ; under Ubuntu/Kubuntu the function works PERFECTLY...and under GNOME on Fedora 11 it also works perfectly...there's a problem with the FEDORA distro that needs to be address by the Fedora development community.
Comment 4 Rex Dieter 2009-10-06 12:55:22 EDT
I'll check kubuntu packages.

My guess, they're patching something, and it's not yet upstreamed (not in kde-4.3 branch anyway).
Comment 5 Rex Dieter 2009-10-06 13:02:38 EDT
On first glance, I don't see anything in kubuntu-default-settings, still looking.

In the meantime, which version(s) of kubuntu did you see this working?
Comment 6 Calvin Mitchell 2009-10-06 13:18:16 EDT
I moved from Kubuntu Jaunty to Fedora 11 for other reasons...but at the time i was using KDE 4.2
Comment 7 Bug Zapper 2010-04-28 06:41:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 10:55:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.